Extending Qt Creator Manual | QrcCache

Extending Qt Creator Manual 4.5.2

# QrcCache Class

(QmlJS::QrcCache)

- List of all members, including inherited members

## Public Functions

| QrcCache()
| ~QrcCache()
QrcParser::ConstPtr | addPath(const QString &path, const QString &contents)
void | clear()
QrcParser::ConstPtr | parsedPath(const QString &path)
void | removePath(const QString &path)
QrcParser::ConstPtr | updatePath(const QString &path, const QString &contents)

## Member Function Documentation

### QrcCache::QrcCache()

Default constructs an instance of QrcCache.

### QrcCache::~QrcCache()

Destroys the instance of QrcCache.

### QrcParser::ConstPtr QrcCache::addPath(const QString &path, const QString &contents)

### void QrcCache::clear()

### QrcParser::ConstPtr QrcCache::parsedPath(const QString &path)

### void QrcCache::removePath(const QString &path)

### QrcParser::ConstPtr QrcCache::updatePath(const QString &path, const QString &contents)